[VM800] Xorg Issue on Gateway MX3225 with Via graphics chipset

Bug #313041 reported by Amy H.
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-openchrome (Ubuntu)
Expired
Undecided
Unassigned
Nominated for Karmic by dbyjazz

Bug Description

I had a problem for the longest time resolving a resolution issue with Ubuntu on a Gateway MX3225 laptop. The laptop uses a Via chipset for graphics. I couldn't seem to get the openchrome drivers working at all through the traditional methods. I am running Ubuntu 8.10, Intrepid Ibex with all updates per 1/1/2009.

I installed Mandriva 2009 and configured my xorg.conf and then saved the file on a flash drive. I then installed Ubuntu, copied the needed information over to the xorg.conf file, and it worked.

The resolution was set at 1600x1440 or some such resolution (I don't quite remember right now) right after install. The resolution was also incorrect when I booted the LiveCD.

Ubuntu does not automatically detect my resolution for this laptop. I don't know if it's the graphics chipset or not (I'm assuming it is).

Here's the necessary output and information:

Useful lspci output:

01:00.0 VGA compatible controller: VIA Technologies, Inc. CN700/P4M800 Pro/P4M800 CE/VN800 [S3 UniChrome Pro] (rev 01)

Default xorg.conf:

Section "Device"
 Identifier "Configured Video Device"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection

My xorg.conf:

Section "Monitor"
    Identifier "monitor1"
    VendorName "Generic"
    ModelName "Flat Panel 1024x768"
    HorizSync 31.5-55
    VertRefresh 40-70

    # TV fullscreen mode or DVD fullscreen output.
    # 768x576 @ 79 Hz, 50 kHz hsync
    ModeLine "768x576" 50.00 768 832 846 1000 576 590 595 630

    # 768x576 @ 100 Hz, 61.6 kHz hsync
    ModeLine "768x576" 63.07 768 800 960 1024 576 578 590 616

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "1280x768_120" 173.82 1280 1376 1520 1760 768 769 772 823 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "1280x768_100" 141.96 1280 1376 1512 1744 768 769 772 814 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "1280x768_85" 118.53 1280 1368 1504 1728 768 769 772 807 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "1280x768_75" 102.98 1280 1360 1496 1712 768 769 772 802 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "1280x768_60" 80.14 1280 1344 1480 1680 768 769 772 795 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "1280x768_50" 65.18 1280 1336 1464 1648 768 769 772 791 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "800x480_120" 66.25 800 848 936 1072 480 481 484 515 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "800x480_100" 53.75 800 840 928 1056 480 481 484 509 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "800x480_85" 44.64 800 840 920 1040 480 481 484 505 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "800x480_75" 38.55 800 832 912 1024 480 481 484 502 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "800x480_60" 29.58 800 816 896 992 480 481 484 497 -HSync +Vsync

    # modeline generated by gtf(1) [handled by XFdrake]
    ModeLine "800x480_50" 24.16 800 808 888 976 480 481 484 495 -HSync +Vsync
EndSection

Section "Device"
    Identifier "device1"
    VendorName "VIA Technologies, Inc."
    BoardName "S3 UniChrome-based cards with 3D support"
    Driver "openchrome"
    Option "DPMS"
    Option "SWcursor"
    Option "SWCursor"

    Option "SWcursor"
EndSection

Section "Screen"
    Identifier "screen1"
    Device "device1"
    Monitor "monitor1"
    DefaultColorDepth 24

    Subsection "Display"
        Depth 8
        Modes "1280x768" "800x480"
    EndSubsection

    Subsection "Display"
        Depth 15
        Modes "1280x768" "800x480"
    EndSubsection

    Subsection "Display"
        Depth 16
        Modes "1280x768" "800x480"
    EndSubsection

    Subsection "Display"
        Depth 24
        Modes "1280x768" "800x480"
    EndSubsection
EndSection

This is not a security issue.

Tags: intrepid
Revision history for this message
Amy H. (gamerchick02) wrote :

I'd like to add a note:

The correct resolution for my laptop is 1280x768.

Revision history for this message
Amy H. (gamerchick02) wrote :

Output from lspci -vvv:

01:00.0 VGA compatible controller: VIA Technologies, Inc. CN700/P4M800 Pro/P4M800 CE/VN800 [S3 UniChrome Pro] (rev 01)
 Subsystem: Gateway 2000 Device 0216
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 64 (500ns min)
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at d0000000 (32-bit, prefetchable) [size=64M]
 Region 1: Memory at d4000000 (32-bit, non-prefetchable) [size=16M]
 Capabilities: <access denied>

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Try loading a daily jaunty livecd, which has a newer openchrome driver.

Changed in xserver-xorg-video-s3:
status: New → Incomplete
Revision history for this message
Amy H. (gamerchick02) wrote :

Thanks for the idea, but I have it working right now (per the report above). If I have to reinstall (hopefully not!!) I will try the Jaunty CD.

Thanks!

Amy

Revision history for this message
Robin Sheat (eythian) wrote :

It's not a bad idea however to burn the Jaunty CD for test purposes - that will just let people know whether it's still an issue in the latest version or not. Booting from the live CD won't affect the current working configuration, and if you're lucky, it'll let the bug be marked 'fixed' :)

Revision history for this message
Amy H. (gamerchick02) wrote :

I tried booting from a Jaunty CD (Alpha 2) and nothing really came of it; ie, it didn't load. I may wait until it hits beta status.

Amy

Revision history for this message
Bartosz Kosiorek (gang65) wrote :

Please try build the openchrome rev 711.

The build instruction is described at:
https://help.ubuntu.com/community/OpenChrome

Bryce Harrington (bryce)
Changed in xserver-xorg-video-openchrome (Ubuntu):
status: Incomplete → Confirmed
Bryce Harrington (bryce)
Changed in xserver-xorg-video-openchrome (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Bryce Harrington (bryce) wrote :

We're closing this bug since it is has been some time with no response from the original reporter. However, if the issue still exists please feel free to reopen with the requested information. Also, if you could, please test against the latest development version of Ubuntu, since this confirms the bug is one we may be able to pass upstream for help.

Changed in xserver-xorg-video-openchrome (Ubuntu):
status: Incomplete → Invalid
Revision history for this message
dbyjazz (djbytheway) wrote :

I can't get this to work.. can someone please explain to me how to do this in ways that I understand? lol

thanks

Revision history for this message
Bartosz Kosiorek (gang65) wrote :

To resolve this bug we need at least the xorg.0.log file.

Attach your /var/log/Xorg.0.log file.
If you can from after reproducing this issue (or /var/log/Xorg.0.log.old).

Try to run the Ubuntu 9.04 Jaunty and check if this error still exists

Revision history for this message
dbyjazz (djbytheway) wrote :

here it is. thanks!

Revision history for this message
dbyjazz (djbytheway) wrote :

here it is. thanks!

Revision history for this message
Bartosz Kosiorek (gang65) wrote :

Please build/install the latest openchrome driver and enable debug mode.
The detail build instruction for Ubuntu/Debian is available at:
https://help.ubuntu.com/community/OpenChrome

Then attach your /var/log/Xorg.0.log file.

Changed in xserver-xorg-video-openchrome (Ubuntu):
status: Invalid → Confirmed
summary: - Xorg Issue on Gateway MX3225 with Via graphics chipset
+ [VM800] Xorg Issue on Gateway MX3225 with Via graphics chipset
Revision history for this message
dbyjazz (djbytheway) wrote : Re: [Bug 313041] Re: Xorg Issue on Gateway MX3225 with Via graphics chipset
Download full text (5.4 KiB)

when I get to 'Run autogen.sh with the prefix option so that the driver is
being installed in the correct directory ' I get an error "bash:
./autogen.sh: No such file or directory"

On Tue, Oct 27, 2009 at 1:03 AM, Bartosz <email address hidden> wrote:

> Please build/install the latest openchrome driver and enable debug mode.
> The detail build instruction for Ubuntu/Debian is available at:
> https://help.ubuntu.com/community/OpenChrome
>
> Then attach your /var/log/Xorg.0.log file.
>
> ** Changed in: xserver-xorg-video-openchrome (Ubuntu)
> Status: Invalid => Confirmed
>
> ** Summary changed:
>
> - Xorg Issue on Gateway MX3225 with Via graphics chipset
> + [VM800] Xorg Issue on Gateway MX3225 with Via graphics chipset
>
> --
> [VM800] Xorg Issue on Gateway MX3225 with Via graphics chipset
> https://bugs.launchpad.net/bugs/313041
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “xserver-xorg-video-openchrome” package in Ubuntu: Confirmed
>
> Bug description:
> I had a problem for the longest time resolving a resolution issue with
> Ubuntu on a Gateway MX3225 laptop. The laptop uses a Via chipset for
> graphics. I couldn't seem to get the openchrome drivers working at all
> through the traditional methods. I am running Ubuntu 8.10, Intrepid Ibex
> with all updates per 1/1/2009.
>
> I installed Mandriva 2009 and configured my xorg.conf and then saved the
> file on a flash drive. I then installed Ubuntu, copied the needed
> information over to the xorg.conf file, and it worked.
>
> The resolution was set at 1600x1440 or some such resolution (I don't quite
> remember right now) right after install. The resolution was also incorrect
> when I booted the LiveCD.
>
> Ubuntu does not automatically detect my resolution for this laptop. I
> don't know if it's the graphics chipset or not (I'm assuming it is).
>
> Here's the necessary output and information:
>
> Useful lspci output:
>
> 01:00.0 VGA compatible controller: VIA Technologies, Inc. CN700/P4M800
> Pro/P4M800 CE/VN800 [S3 UniChrome Pro] (rev 01)
>
> Default xorg.conf:
>
> Section "Device"
> Identifier "Configured Video Device"
> EndSection
>
> Section "Monitor"
> Identifier "Configured Monitor"
> EndSection
>
> Section "Screen"
> Identifier "Default Screen"
> Monitor "Configured Monitor"
> Device "Configured Video Device"
> EndSection
>
> My xorg.conf:
>
> Section "Monitor"
> Identifier "monitor1"
> VendorName "Generic"
> ModelName "Flat Panel 1024x768"
> HorizSync 31.5-55
> VertRefresh 40-70
>
> # TV fullscreen mode or DVD fullscreen output.
> # 768x576 @ 79 Hz, 50 kHz hsync
> ModeLine "768x576" 50.00 768 832 846 1000 576 590 595 630
>
> # 768x576 @ 100 Hz, 61.6 kHz hsync
> ModeLine "768x576" 63.07 768 800 960 1024 576 578 590 616
>
> # modeline generated by gtf(1) [handled by XFdrake]
> ModeLine "1280x768_120" 173.82 1280 1376 1520 1760 768 769 772 823
> -HSync +Vsync
>
> # modeline generated by gtf(1) [handled by XFdrake]
> ModeLine "1280x768_100" 141.96 1280 1376 1512 1744 768 769 772 814
...

Read more...

Revision history for this message
Bartosz Kosiorek (gang65) wrote :

Make sure you have entered to "openchrome" directory.

If it not help, try to do all steps from beginning (don't forget about "Install needed dependencies" step).

Revision history for this message
dbyjazz (djbytheway) wrote :

I did all of that and it still says "searching for available drivers..." and then says "could not apply desktop effects"

Revision history for this message
Kevin (kevin-matson) wrote :

I had basically the same problem on a Gateway MX3210 laptop I was setting up for a friend. The screen resolution was way too big (1600x1400 or something just as absurd) and the sreen was locked in the upper left corner so I couldn't get to the bottom or the right part of the screen. The xorg.conf file in the initial post fixed it for me.

OS: Ubuntu 9.10

lspci -vvv (VGA controller)
01:00.0 VGA compatible controller: VIA Technologies, Inc. CN700/P4M800 Pro/P4M800 CE/VN800 [S3 UniChrome Pro] (rev 01)
 Subsystem: Gateway 2000 Device 0216
 Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Interrupt: pin A routed to IRQ 10
 Region 0: Memory at d0000000 (32-bit, prefetchable) [size=64M]
 Region 1: Memory at d4000000 (32-bit, non-prefetchable) [size=16M]
 Capabilities: <access denied>

Revision history for this message
Bartosz Kosiorek (gang65) wrote :

Hi Kevin.

Attach your /var/log/Xorg.0.log file.

Try also build/install the latest openchrome driver and enable debug mode.
The detail build instruction for Ubuntu/Debian is available at:
https://help.ubuntu.com/community/OpenChrome

Revision history for this message
Bartosz Kosiorek (gang65) wrote :

This bug should be resolved in the latest openchrome revision.

Please check if it solves your problem.

The detail build instruction for Ubuntu/Debian is available at:
https://help.ubuntu.com/community/OpenChrome

Attach your /var/log/Xorg.0.log file.

Changed in xserver-xorg-video-openchrome (Ubuntu):
status: Confirmed → Incomplete
Bryce Harrington (bryce)
tags: added: intrepid
Revision history for this message
Victor (blindvic) wrote :

Kevin wrote on 2009-11-04: #17
>I had basically the same problem on a Gateway MX3210 laptop I was setting up for a friend. The screen resolution was way too big (1600x1400 or something just as absurd) and the sreen was locked in the upper left corner so I couldn't get to the bottom or the right part of the screen.
I have the same thing. Got an old notebook with VIA vga.
The screen resolution is set correct. But virtual size is set 1600x1200 and i get situation described in the quote.

Revision history for this message
Victor (blindvic) wrote :

I am not able to set resolution through monitor settings. Any mode i am trying to set is causing noise on the screen.

Revision history for this message
Bartosz Kosiorek (gang65) wrote :

Hi Victor,

please attach Xorg.0.log without compression.

Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for xserver-xorg-video-openchrome (Ubuntu) because there has been no activity for 60 days.]

Changed in xserver-xorg-video-openchrome (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers